## org.eclipse.datatools.sqltools.editor.ui.internal.core
Class SQLDevToolsUIConfigRegistryImpl

    java.lang.Object
      org.eclipse.datatools.sqltools.editor.ui.internal.core.SQLDevToolsUIConfigRegistryImpl

All Implemented Interfaces:
  SQLDevToolsUIConfigRegistry

    public final class SQLDevToolsUIConfigRegistryImpl

extends java.lang.Object
implements SQLDevToolsUIConfigRegistry

Author:
  linsong

Nested Class Summary
`static class` `SQLDevToolsUIConfigRegistryImpl.DBFactoryVersionComparator` Compares DBFactory by version number (type names starting with lower case characters).

Field Summary
`static SQLDevToolsUIConfigRegistry` `INSTANCE`

Method Summary
`SQLDevToolsUIConfiguration` `getConfiguration(java.lang.String product, java.lang.String version)` Returns the `SQLDevToolsUIConfiguration` object corresponding to the product name and version.
`SQLDevToolsUIConfiguration` `getConfigurationById(java.lang.String id)` Returns the `SQLDevToolsUIConfiguration` object by the unique identifier defined in org.eclipse.datatools.sqltools.editor.core.dbFactories extension point.
`SQLDevToolsUIConfiguration` `getConfigurationByName(java.lang.String name)` Returns the `SQLDevToolsUIConfiguration` object by the database definition name.
`SQLDevToolsUIConfiguration` `getConfigurationByVendorIdentifier(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId id)` Returns the `SQLDevToolsUIConfiguration` object by the `DatabaseVendorDefinitionId` object
`java.util.Collection` `getConfigurations()` Returns all the `SQLDevToolsUIConfiguration`s
`static SQLDevToolsUIConfiguration` `getDefaultConfiguration()`
`java.util.Collection` `getProducts()` Returns the product names.
`java.util.Collection` `getVersions(java.lang.String product)` Returns all the version strings for the given product name

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### INSTANCE

    public static final SQLDevToolsUIConfigRegistry INSTANCE

Method Detail

### getProducts

    public java.util.Collection getProducts()

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns the product names.

  Specified by:
    `getProducts` in interface `SQLDevToolsUIConfigRegistry`
  Returns:
    product names

### getVersions

    public java.util.Collection getVersions(java.lang.String product)

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns all the version strings for the given product name

  Specified by:
    `getVersions` in interface `SQLDevToolsUIConfigRegistry`
  Parameters:
    `product` - product name
  Returns:
    versions for the given product name

### getConfigurations

    public java.util.Collection getConfigurations()

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns all the `SQLDevToolsUIConfiguration`s

  Specified by:
    `getConfigurations` in interface `SQLDevToolsUIConfigRegistry`
  Returns:
    `SQLDevToolsUIConfiguration` collection

### getConfiguration

    public SQLDevToolsUIConfiguration getConfiguration(java.lang.String product,
                                                       java.lang.String version)

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns the `SQLDevToolsUIConfiguration` object corresponding to the product name and version.

  Specified by:
    `getConfiguration` in interface `SQLDevToolsUIConfigRegistry`
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationById

    public SQLDevToolsUIConfiguration getConfigurationById(java.lang.String id)

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns the `SQLDevToolsUIConfiguration` object by the unique identifier defined in org.eclipse.datatools.sqltools.editor.core.dbFactories extension point.

  Specified by:
    `getConfigurationById` in interface `SQLDevToolsUIConfigRegistry`
  Parameters:
    `id` - `SQLDevToolsUIConfiguration` id
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationByVendorIdentifier

    public SQLDevToolsUIConfiguration getConfigurationByVendorIdentifier(org.eclipse.datatools.sqltools.core.DatabaseVendorDefinitionId id)

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns the `SQLDevToolsUIConfiguration` object by the `DatabaseVendorDefinitionId` object

  Specified by:
    `getConfigurationByVendorIdentifier` in interface `SQLDevToolsUIConfigRegistry`
  Parameters:
    `id` - `DatabaseVendorDefinitionId` object represented by product name and version
  Returns:
    `SQLDevToolsUIConfiguration` object

### getConfigurationByName

    public SQLDevToolsUIConfiguration getConfigurationByName(java.lang.String name)

  Description copied from interface: `SQLDevToolsUIConfigRegistry`
  Returns the `SQLDevToolsUIConfiguration` object by the database definition name.

  Specified by:
    `getConfigurationByName` in interface `SQLDevToolsUIConfigRegistry`
  Parameters:
    `name` - database definition name, which is product name appended by "_" and version.
  Returns:
    `SQLDevToolsUIConfiguration` object

### getDefaultConfiguration

    public static SQLDevToolsUIConfiguration getDefaultConfiguration()